%define		gitver	a42a069
%define		gitdate	20221231
%define		rel	2

Name:		git-tools
Version:	2022.12
Release:	%mkrel %{?gitdate:1.%gitdate.git.%gitver}%{rel}
Summary:	Assorted git-related scripts and tools
Group:		Development/Other
License:	GPLv3+
URL:		https://github.com/MestreLion/%{name}
# Use the %%Source1 script to download the current version
Source0:	%{name}-%{version}-%{gitdate}.git.%{gitver}.tar.xz
Source1:	git-tools-getfromgith.sh
BuildArch:	noarch
Requires:	git
BuildRequires:	python3-devel

%description
Assorted git-related scripts and tools. The following commands
are provided:

- git-branches-rename: batch renames branches with a matching
  prefix to another prefix

- git-clone-subset: clones a subset of a git repository

- git-find-uncommitted-repos: recursively list repos with
  uncommitted changes

- git-rebase-theirs: resolve rebase conflicts and failed 
  cherry-picks by favoring 'theirs' version

- git-restore-mtime: restore original modification time of files
  based on the date of the most recent commit that modified them

- git-strip-merge: wrapper that deletes files on a "foreign" branch
  before merging

%prep
%setup -q

# https://python-rpm-porting.readthedocs.io/en/latest/applications.html#fixing-shebangs
sed -i.bak '1s=^#!/usr/bin/\(python\|env python\)[0-9.]*=#!%{__python3}=' git-restore-mtime
touch -r git-restore-mtime.bak git-restore-mtime
rm -f git-restore-mtime.bak

%build

%install
%{__mkdir} -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
%{__install} -m 755 git-branches-rename %{buildroot}%{_bindir}
%{__install} -m 755 git-clone-subset %{buildroot}%{_bindir}
%{__install} -m 755 git-find-uncommitted-repos %{buildroot}%{_bindir}
%{__install} -m 755 git-rebase-theirs %{buildroot}%{_bindir}
%{__install} -m 755 git-restore-mtime %{buildroot}%{_bindir}
%{__install} -m 755 git-strip-merge %{buildroot}%{_bindir}
%{__install} -m 644 man1/git-* %{buildroot}%{_mandir}/man1/

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2022.12-1.20221231.git.a42a0692.mga10
+ Revision: 2217543
- Mageia 10 Mass Rebuild

* Wed Feb 01 2023 ghibo <ghibo> 2022.12-1.20221231.git.a42a0691.mga9
+ Revision: 1937324
- Update to release 2022.12

* Tue Sep 27 2022 ghibo <ghibo> 2022.07-1.20220808.git.5e76b1f1.mga9
+ Revision: 1892815
- Update to release 2022.07

* Mon Mar 21 2022 umeabot <umeabot> 2020.09-1.20200921.git.98b3f432.mga9
+ Revision: 1813819
- Mageia 9 Mass Rebuild

* Sat Jan 02 2021 ghibo <ghibo> 2020.09-1.20200921.git.98b3f431.mga8
+ Revision: 1668356
- Update to release 2020.09

* Fri May 29 2020 ghibo <ghibo> 2019.11-1.20200417.git.11152181.mga8
+ Revision: 1588911
- imported package git-tools


* Fri May 29 2020 ghibo <ghibo> 2019.11-1.20200417.git.11152181.mga7
- initial release based on FC spec file.
